Results 1 to 2 of 2

Thread: Point3d

  1. #1
    Member
    Join Date
    2015-04
    Posts
    16
    Login to Give a bone
    0

    Default Point3d

    Hi,

    It is not possible to assign value to Point3d Coordinates one by one, like Point3d insPt.X = 2. Is there any other option?

    Thanks

  2. #2
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Point3d

    Quote Originally Posted by shers View Post
    It is not possible to assign value to Point3d Coordinates one by one, like Point3d insPt.X = 2. Is there any other option?
    Point3d Constructor has three overloads; here's from Point3d metadata (hit F12 over Point3d in Visual Studio):

    Code:
    using Autodesk.AutoCAD.Runtime;
    using System;
    using System.Reflection;
    
    namespace Autodesk.AutoCAD.Geometry
    {
        [Wrapper("AcGePoint3d")]
        public struct Point3d : IFormattable
        {
            public Point3d(double[] xyz);
            public Point3d(PlanarEntity plane, Point2d point);
            public Point3d(double x, double y, double z);
    
            public static Vector3d operator -(Point3d a, Point3d b);
            public static Point3d operator -(Point3d a, Vector3d b);
            public static bool operator !=(Point3d a, Point3d b);
            public static Point3d operator *(double value, Point3d a);
            public static Point3d operator *(Matrix3d mat, Point3d a);
            public static Point3d operator *(Point3d a, double value);
            public static Point3d operator /(Point3d a, double value);
            public static Point3d operator +(Point3d a, Vector3d vector);
            public static bool operator ==(Point3d a, Point3d b);
    
            public static Point3d Origin { get; }
            public double X { get; }
            public double Y { get; }
            public double Z { get; }
    
            public double this[int i] { get; }
    
            public Point3d Add(Vector3d value);
            public Point2d Convert2d(PlanarEntity plane);
            public double DistanceTo(Point3d point);
            public Point3d DivideBy(double value);
            public override sealed bool Equals(object obj);
            public Vector3d GetAsVector();
            public override sealed int GetHashCode();
            public Vector3d GetVectorTo(Point3d point);
            public bool IsEqualTo(Point3d point);
            public bool IsEqualTo(Point3d point, Tolerance tolerance);
            public Point3d Mirror(Plane plane);
            public Point3d MultiplyBy(double value);
            public Point3d OrthoProject(Plane plane);
            public Point3d Project(Plane plane, Vector3d vector);
            public Point3d RotateBy(double angle, Vector3d vector, Point3d centerPoint);
            public Point3d ScaleBy(double scaleFactor, Point3d centerPoint);
            public Point3d Subtract(Vector3d value);
            public double[] ToArray();
            public override sealed string ToString();
            public string ToString(IFormatProvider provider);
            public string ToString(string format, IFormatProvider provider);
            public Point3d TransformBy(Matrix3d leftSide);
        }
    }
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

Similar Threads

  1. Point3d == Null
    By sresh in forum Dot Net API
    Replies: 3
    Last Post: 2015-06-01, 04:35 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •